import request from '@/utils/request'

// 查询招标信息列表
export function listInfo(query) {
  return request({
    url: '/bid/info/list',
    method: 'get',
    params: query
  })
}

// 查询招标信息详细
export function getInfo(id) {
  return request({
    url: '/bid/info/' + id,
    method: 'get'
  })
}

// 新增招标信息
export function addInfo(data) {
  return request({
    url: '/bid/info',
    method: 'post',
    data: data
  })
}

// 修改招标信息
export function updateInfo(data) {
  return request({
    url: '/bid/info',
    method: 'put',
    data: data
  })
}

// 删除招标信息
export function delInfo(id) {
  return request({
    url: '/bid/info/' + id,
    method: 'delete'
  })
}
